Domain Authority, Page Authority and Spam Score by URL
curl --request POST \
--url https://api.aisa.one/apis/v1/moz/web-url-metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
"<string>"
],
"distributions": false
}
'import requests
url = "https://api.aisa.one/apis/v1/moz/web-url-metrics"
payload = {
"targets": ["<string>"],
"distributions": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targets: ['<string>'], distributions: false})
};
fetch('https://api.aisa.one/apis/v1/moz/web-url-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/moz/web-url-metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targets' => [
'<string>'
],
'distributions' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/moz/web-url-metrics"
payload := strings.NewReader("{\n \"targets\": [\n \"<string>\"\n ],\n \"distributions\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/moz/web-url-metrics")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targets\": [\n \"<string>\"\n ],\n \"distributions\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/moz/web-url-metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targets\": [\n \"<string>\"\n ],\n \"distributions\": false\n}"
response = http.request(request)
puts response.read_bodyMoz
Domain Authority, Page Authority and Spam Score by URL
history params accept count metrics (pages_to_page, …), page_authority, domain_authority; you cannot select which base metrics come back — all are returned per target
<!-- aisa-pricing:start -->
Usage-based billing; Default request estimate: $0.006667 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
moz
/
web-url-metrics
Domain Authority, Page Authority and Spam Score by URL
curl --request POST \
--url https://api.aisa.one/apis/v1/moz/web-url-metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
"<string>"
],
"distributions": false
}
'import requests
url = "https://api.aisa.one/apis/v1/moz/web-url-metrics"
payload = {
"targets": ["<string>"],
"distributions": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targets: ['<string>'], distributions: false})
};
fetch('https://api.aisa.one/apis/v1/moz/web-url-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/moz/web-url-metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targets' => [
'<string>'
],
'distributions' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/moz/web-url-metrics"
payload := strings.NewReader("{\n \"targets\": [\n \"<string>\"\n ],\n \"distributions\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/moz/web-url-metrics")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targets\": [\n \"<string>\"\n ],\n \"distributions\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/moz/web-url-metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targets\": [\n \"<string>\"\n ],\n \"distributions\": false\n}"
response = http.request(request)
puts response.read_bodyRequest contract
- Method and path: POST /apis/v1/moz/web-url-metrics
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/moz/web-url-metrics - Runtime facts: 9645ce46db88133c02a2f37cbcdf884e1cd87f44742865eb6fdf88bf8a90676f
{
"operationId": "moz.web-url-metrics",
"method": "POST",
"path": "/apis/v1/moz/web-url-metrics",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"targets": {
"items": {
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array",
"description": "1-50 URLs or domains; a bare domain is treated as that page"
},
"distributions": {
"enum": [
false
],
"type": "boolean",
"description": "adds link distribution histograms; +1 row"
},
"daily_history_deltas": {
"type": "array",
"items": {
"type": "string"
},
"description": "metrics to return 60d daily gains/losses for; +1 row per entry"
},
"daily_history_values": {
"type": "array",
"items": {
"type": "string"
},
"description": "metrics to return 60d daily values for; +1 row per entry"
},
"monthly_history_deltas": {
"type": "array",
"items": {
"type": "string"
},
"description": "as daily_history_deltas, over 32 months; +1 row per entry"
},
"monthly_history_values": {
"type": "array",
"items": {
"type": "string"
},
"description": "as daily_history_values, over 32 months; +1 row per entry"
}
},
"required": [
"distributions",
"targets"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.006667,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.006667 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.006667
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Settlement evidence source: response_header
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
1-50 URLs or domains; a bare domain is treated as that page
Required array length:
1 - 50 elementsadds link distribution histograms; +1 row
Available options:
false metrics to return 60d daily gains/losses for; +1 row per entry
metrics to return 60d daily values for; +1 row per entry
as daily_history_deltas, over 32 months; +1 row per entry
as daily_history_values, over 32 months; +1 row per entry
Response
Successful response